<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

/**
 * Class LastErrorTime
 *
 * Created via:
 * oitc migrations create -p DistributeModule LastErrorTime
 *
 * Run migration:
 * oitc migrations migrate -p DistributeModule
 *
 */
class LastErrorTime extends AbstractMigration {
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void {
        $this->table('satellite_status')
            ->addColumn('last_error_time', 'datetime', [
                'default' => null,
                'limit'   => null,
                'null'    => true
            ])
            ->update();
    }
}
