<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace DistributeModule\Lib;


use itnovum\openITCOCKPIT\Core\Menu\MenuCategory;
use itnovum\openITCOCKPIT\Core\Menu\MenuHeadline;
use itnovum\openITCOCKPIT\Core\Menu\MenuInterface;
use itnovum\openITCOCKPIT\Core\Menu\MenuLink;

class Menu implements MenuInterface {

    /**
     * @return array
     */
    public function getHeadlines() {
        $Configuration = new MenuHeadline(\itnovum\openITCOCKPIT\Core\Menu\Menu::MENU_CONFIGURATION);
        $Configuration
            ->addCategory((new MenuCategory(
                'settings_category'
            ))
                ->addLink(new MenuLink(
                    __('Satellites'),
                    'SatellitesIndex',
                    'Satellites',
                    'index',
                    'DistributeModule',
                    'fas fa-satellite',
                    [],
                    4
                ))
                ->addLink(new MenuLink(
                    __('Satellites Status'),
                    'SatellitesStatus',
                    'Satellites',
                    'status',
                    'DistributeModule',
                    'fas fa-satellite-dish',
                    [],
                    5
                ))
            );


        return [$Configuration];
    }

}
