angular.module('openITCOCKPIT').directive('satelliteName', function($http){
    return {
        restrict: 'E',
        templateUrl: '/distribute_module/satellites/name.html',
        scope: {
            'satelliteId': '='
        },

        controller: function($scope){

            $scope.loadSatellite = function(){
                $http.get("/distribute_module/satellites/name.json", {
                    params: {
                        'angular': true,
                        'id': $scope.satelliteId
                    }
                }).then(function(result){
                    $scope.satellite = result.data.satellite;
                });
            };

            $scope.loadSatellite();

        }
    };
});